My Project: SignOn Namespace Reference

My Project

Classes | Typedefs | Enumerations | Functions
SignOn Namespace Reference

## Classes
class | AuthService
| Represents signon for client application. More...
class | AuthSession
| Represents a session to authentication plugin/server. More...
class | ConnectionManager
class | DBusInterface
class | Error
| definition for Signon error handling. More...
class | Identity
| Represents a database entry for a single identity. More...
class | IdentityInfo
| Contains identity information. More...
class | SecurityContext
| Contains access security context information. More...
class | SessionData
| Data container to hold values for authentication session. More...

## Typedefs
typedef QPointer< AuthSession > | AuthSessionP
typedef QString | MethodName
| Defines a string as an authentication method.
typedef QStringList | MechanismsList
| Defines a string list as a list of mechanisms.
typedef QList< SecurityContext > | SecurityContextList
| Defines a list of security contexts.

## Enumerations
enum | SignonUiPolicy { DefaultPolicy = 0 , RequestPasswordPolicy , NoUserInteractionPolicy , ValidationPolicy }
| Policy to define how the plugin interacts with the user. More...

## Functions
void | setLoggingLevel (int level)
void | initDebug ()
QDBusArgument & | operator<< (QDBusArgument &argument, const SecurityContext &securityContext)
const QDBusArgument & | operator>> (const QDBusArgument &argument, SecurityContext &securityContext)

## Detailed Description

Copyright
  Copyright (C) 2009-2011 Nokia Corporation. @license LGPL
  Copyright (C) 2009-2011 Nokia Corporation. @license LGPL

Todo
  move this to a common includes folder. This is part of the plugin development kit, too.

## Typedef Documentation

## ◆ AuthSessionP

typedef QPointer<AuthSession> SignOn::AuthSessionP

Definition at line 48 of file identity.h.

## ◆ MechanismsList

QStringList SignOn::MechanismsList

Defines a string list as a list of mechanisms.

Definition at line 49 of file identityinfo.h.

## ◆ MethodName

QString SignOn::MethodName

Defines a string as an authentication method.

Definition at line 43 of file identityinfo.h.

## ◆ SecurityContextList

typedef QList< SecurityContext > SignOn::SecurityContextList

Defines a list of security contexts.

Definition at line 55 of file identityinfo.h.

## Enumeration Type Documentation

## ◆ SignonUiPolicy

enum SignOn::SignonUiPolicy

Policy to define how the plugin interacts with the user.

This is a hint for plugin how to handle user interaction. NoUserInteractionPolicy does not allow any ui interaction to happen and plugin will get error reply QUERY_ERROR_FORBIDDEN.

See also
  UiPolicy

Enumerator
DefaultPolicy | Plugin can decide when to show ui.
RequestPasswordPolicy | Force user to enter password.
NoUserInteractionPolicy | No ui elements are shown to user.
ValidationPolicy | UI elements can be shown to the user only when captcha-like security measures are required

Definition at line 72 of file sessiondata.h.

## Function Documentation

## ◆ initDebug()

void SignOn::initDebug | ( |  | ) |

Definition at line 34 of file debug.cpp.

## ◆ operator<<()

QDBusArgument & SignOn::operator<< | ( | QDBusArgument & | argument,
|  | const SecurityContext & | securityContext )

Definition at line 43 of file securitycontext.cpp.

## ◆ operator>>()

const QDBusArgument & SignOn::operator>> | ( | const QDBusArgument & | argument,
|  | SecurityContext & | securityContext )

Definition at line 53 of file securitycontext.cpp.

## ◆ setLoggingLevel()

void SignOn::setLoggingLevel | ( | int | level | ) |

Definition at line 30 of file debug.cpp.